Skip to main content
`Ctrl`+`K`

# DMSwarmRegisterUserStructField

Register a user defined struct to a `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmRegisterUserStructField(DM dm, const char fieldname[], size_t size)

Collective

## Input Parameters

- dm - a `DMSWARM`

- fieldname - the textual name to identify this field

- size - the size in bytes of the user struct of each data type

## Note

The textual name for each registered field must be unique.

## See Also

`DM`, `DMSWARM`, `DMSwarmRegisterPetscDatatypeField()`, `DMSwarmRegisterUserDatatypeField()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages